## rosegarden-trinity 14.1.5~pre2

=== data/CMakeLists.txt ===
# Data directory

set(DATADIR ${DATA_INSTALL_DIR}/rosegarden)
set(ICONDIR ${ICON_INSTALL_DIR})
set(MIMEDIR ${MIME_INSTALL_DIR}/audio)
set(MENUDIR ${XDG_MENU_INSTALL_DIR})

# Guitar chord files
file(GLOB CHORD_FILES chords/*.xml)
install(FILES ${CHORD_FILES} DESTINATION ${DATADIR}/chords)

# Desktop file
tde_create_translated_desktop( desktop/rosegarden.desktop )

# MIME files
tde_create_translated_desktop(
    SOURCE
        desktop/x-rosegarden21.desktop
        desktop/x-rosegarden.desktop
        desktop/x-rosegarden-device.desktop
        desktop/x-soundfont.desktop

    DESTINATION ${MIMEDIR}
)

# Icons
install(FILES pixmaps/icons/cc-hi16-rosegarden.xpm      DESTINATION ${ICONDIR}/locolor/16x16/apps   RENAME rosegarden.xpm)
install(FILES pixmaps/icons/rg-rwb-rose3-16x16.png      DESTINATION ${ICONDIR}/hicolor/16x16/apps   RENAME rosegarden.png)
install(FILES pixmaps/icons/cc-hi32-rosegarden.xpm      DESTINATION ${ICONDIR}/locolor/32x32/apps   RENAME rosegarden.xpm)
install(FILES pixmaps/icons/rg-rwb-rose3-32x32.png      DESTINATION ${ICONDIR}/hicolor/32x32/apps   RENAME rosegarden.png)
install(FILES pixmaps/icons/rg-rwb-rose3-48x48.png      DESTINATION ${ICONDIR}/hicolor/48x48/apps   RENAME rosegarden.png)
install(FILES pixmaps/icons/rg-rwb-rose3-64x64.png      DESTINATION ${ICONDIR}/hicolor/64x64/apps   RENAME rosegarden.png)
install(FILES pixmaps/icons/rg-rwb-rose3-128x128.png    DESTINATION ${ICONDIR}/hicolor/128x128/apps RENAME rosegarden.png)

install(FILES pixmaps/icons/mm-mime-hi16-rosegarden.png DESTINATION ${ICONDIR}/hicolor/16x16/mimetypes RENAME x-rosegarden.png)
install(FILES pixmaps/icons/mm-mime-hi16-rosegarden.png DESTINATION ${ICONDIR}/locolor/16x16/mimetypes RENAME x-rosegarden.png)
install(FILES pixmaps/icons/mm-mime-hi32-rosegarden.png DESTINATION ${ICONDIR}/hicolor/32x32/mimetypes RENAME x-rosegarden.png)
install(FILES pixmaps/icons/mm-mime-hi32-rosegarden.png DESTINATION ${ICONDIR}/locolor/32x32/mimetypes RENAME x-rosegarden.png)

# styles
file(GLOB STYLES_FILES styles/*.xml)
install(FILES ${STYLES_FILES} DESTINATION ${DATADIR}/styles)

# presets
file(GLOB PRESETS_FILES presets/*.xml)
install(FILES ${PRESETS_FILES} DESTINATION ${DATADIR}/presets)

# fonts
file(GLOB PFA_FILES fonts/*.pfa)
install(FILES ${PFA_FILES} DESTINATION ${DATADIR}/fonts)

file(GLOB XML_FILES fonts/mappings/*.xml)
install(FILES ${XML_FILES} DESTINATION ${DATADIR}/fonts/mappings)

file(GLOB XPM_FILES pixmaps/rg21/4/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/rg21/4)

file(GLOB XPM_FILES pixmaps/rg21/8/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/rg21/8)

file(GLOB XPM_FILES pixmaps/feta/4/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/4)

file(GLOB XPM_FILES pixmaps/feta/6/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/6)

file(GLOB XPM_FILES pixmaps/feta/8/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/8)

file(GLOB XPM_FILES pixmaps/feta/10/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/10)

file(GLOB XPM_FILES pixmaps/feta/12/*.xpm)
install(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/12)

# pixmaps
file(GLOB PIXMAP_FILES pixmaps/misc/*.xpm pixmaps/misc/*.png)
install(FILES ${PIXMAP_FILES} DESTINATION ${DATADIR}/pixmaps/misc)

file(GLOB PIXMAP_FILES pixmaps/toolbar/*.xpm pixmaps/toolbar/*.png)
install(FILES ${PIXMAP_FILES} DESTINATION ${DATADIR}/pixmaps/toolbar)

file(GLOB PIXMAP_FILES pixmaps/transport/*.xpm pixmaps/transport/*.png)
install(FILES ${PIXMAP_FILES} DESTINATION ${DATADIR}/pixmaps/transport)

# Splash
install(FILES pixmaps/splash.png DESTINATION ${DATADIR}/pixmaps)

# Examples
set(EXAMPLE_FILES
    examples/aveverum.rg
    examples/aylindaamiga.rg
    examples/bogus-surf-jam.rg
    examples/bwv-1060-trumpet-duet-excerpt.rg
    examples/children.rg
    examples/Djer-Fire.rg
    examples/doodle-q.rg
    examples/exercise_notation.rg
    examples/glazunov.rg
    examples/glazunov-for-solo-and-piano-with-cue.rg
    examples/headers-and-unicode-lyrics.rg
    examples/himno_de_riego.rg
    examples/interpretation-example.rg
    examples/let-all-mortal-flesh.rg
    examples/lilypond-alternative-endings.rg
    examples/lilypond-directives.rg
    examples/lilypond-staff-groupings.rg
    examples/mandolin-sonatina.rg
    examples/mozart-quartet.rg
    examples/notation-for-string-orchestra-in-D-minor.rg
    examples/perfect-moment.rg
    examples/ravel-pc-gmaj-adagio.rg
    examples/sonataC.rose
    examples/stormy-riders.rg
    examples/test_tuplets.rg
    examples/the-rose-garden.rg
    examples/vivaldi-cs3mv2.rg
    examples/vivaldi_op44_11_1.rg )

install(FILES ${EXAMPLE_FILES} DESTINATION ${DATADIR}/examples)
install(FILES examples/autoload.rg DESTINATION ${DATADIR})

# Library
file(GLOB RGD_FILES library/*.rgd)
install(FILES ${RGD_FILES} DESTINATION ${DATADIR}/library)

# KDE LIRC Profile
install(FILES profile/rosegarden.profile.xml DESTINATION ${DATA_INSTALL_DIR}/profiles)

=== debian/changelog ===
rosegarden-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 81c43c5aba58347d73734f7cfdd8c5ebc41284cb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## rosegarden-trinity 14.1.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( rosegarden )


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )
include( FindThreads )


##### set up versioning #########################

# Mark as advanced
mark_as_advanced(EXECUTABLE_OUTPUT_PATH
                 LIBRARY_OUTPUT_PATH
		 CMAKE_BACKWARDS_COMPATIBILITY)

# Rosegarden version string
set (VERSION_MAJOR "1")
set (VERSION_MINOR "7")
set (VERSION_PATCH "0")
# comment out the next line for a public release
#set (VERSION_SUFFIX "svn")
set (PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
if(VERSION_SUFFIX)
	set (PACKAGE_VERSION "${PACKAGE_VERSION}-${VERSION_SUFFIX}")
endif(VERSION_SUFFIX)
add_definitions(-D'VERSION="${PACKAGE_VERSION}"')


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
option( WANT_DEBUG   "Include debug support" OFF )
option( WANT_FULLDBG "Full debug support (BIG executables!)" OFF )
option( WANT_SOUND   "Include Sound support" ${BUILD_ALL} )
option( WANT_JACK    "Include Jack (Jack Audio Connection Kit) support" ${BUILD_ALL} )
option( WANT_DSSI    "Include DSSI support" ${BUILD_ALL} )
option( WANT_LIRC    "Include LIRC (Linux Infrared Remote Control) support" OFF )
option( WANT_PCH     "Use precompiled headers" OFF )
option( WANT_TEST    "Perform unit tests" OFF )

if(WANT_TEST)
    enable_testing()
endif(WANT_TEST)

if(NOT WANT_SOUND)
    set(WANT_JACK OFF)
    set(WANT_DSSI OFF)
    add_definitions(-DNO_SOUND)
endif(NOT WANT_SOUND)

##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )
add_subdirectory( data )
tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

# create and install the version file
file(WRITE "${CMAKE_BINARY_DIR}/version.txt" "${PACKAGE_VERSION}\n")
install( FILES "${CMAKE_BINARY_DIR}/version.txt" DESTINATION ${DATA_INSTALL_DIR}/rosegarden )

=== debian/changelog ===
rosegarden-trinity (4:14.1.5-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: rosegarden-trinity
Section: sound
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Mike O'Connor <stew@debian.org>, Free Ekanayaka <freee@debian.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libasound2-dev (>= 1.0.0), libjack-dev, ladspa-sdk, liblrdf0-dev, liblirc-dev, dssi-dev (>= 0.4 ), liblo-dev, libxft-dev, libfftw3-dev
Standards-Version: 3.8.4
Homepage: http://www.rosegardenmusic.com/

Package: rosegarden-trinity
Architecture: any
Depends: ${shlibs:Depends}, khelpcenter-trinity, rosegarden-data-trinity (= ${source:Version}), libxml-twig-perl, sndfile-programs, xterm, tdebase-trinity-bin, konqueror-trinity | www-browser, flac
Replaces: rosegarden-trinity (<< 4:14.0.0~)
Breaks: rosegarden-trinity (<< 4:14.0.0~)
Recommends: jackd, lilypond, swh-plugins | ladspa-plugin
Suggests: qjackctl
Description: music editor and MIDI/audio sequencer [Trinity]
 Rosegarden is a TDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

Package: rosegarden-data-trinity
Architecture: all
Recommends: rosegarden-trinity
Replaces: rosegarden-data-trinity (<< 4:14.0.0~)
Breaks: rosegarden-data-trinity (<< 4:14.0.0~)
Priority: optional
Description: music editor and MIDI/audio sequencer data files [Trinity]
 Rosegarden is a TDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
 .
 This package provides the data files necessary for running Rosegarden

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_COMPRESS_EXCLUDE_ALL += .rg .wav .docbook

binary-install/rosegarden-trinity::
	dh_testdir
	find debian/rosegarden-trinity/usr/share/doc/rosegarden-trinity/examples -type f -exec chmod 664 {} \;

clean::
	dh_testdir

## rosegarden-trinity 14.1.6~pre0

=== debian/changelog ===
rosegarden-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 81c43c5aba58347d73734f7cfdd8c5ebc41284cb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## rosegarden-trinity 14.1.6~pre1

=== debian/changelog ===
rosegarden-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d119528fecb6aaa67f62e6cc9e51211078f2a967
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:50:28 +0100

## rosegarden-trinity 14.2.0~pre50

=== debian/changelog ===
rosegarden-trinity (4:14.2.0~pre50-0ubuntu24.10.0+7) oracular; urgency=low

  * Automated git build for 24c583d8c82c9bcb81fd0e82f226c5cd078db1b1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Package: rosegarden-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, khelpcenter-trinity, rosegarden-data-trinity (= ${source:Version}), libxml-twig-perl, sndfile-programs, xterm, tdebase-trinity-bin, konqueror-trinity | www-browser, flac
-Replaces: rosegarden-trinity (<< 4:14.0.0~)
-Breaks: rosegarden-trinity (<< 4:14.0.0~)
+Replaces: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
+Breaks: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
 Recommends: jackd, lilypond, swh-plugins | ladspa-plugin
 Suggests: qjackctl
 Description: music editor and MIDI/audio sequencer [Trinity]
@@ -24,8 +24,8 @@
 Package: rosegarden-data-trinity
 Architecture: all
 Recommends: rosegarden-trinity
-Replaces: rosegarden-data-trinity (<< 4:14.0.0~)
-Breaks: rosegarden-data-trinity (<< 4:14.0.0~)
+Replaces: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
+Breaks: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
 Priority: optional
 Description: music editor and MIDI/audio sequencer data files [Trinity]
  Rosegarden is a TDE application which provides a mixed Audio/MIDI

## rosegarden-trinity 14.2.0~pre51

=== debian/changelog ===
rosegarden-trinity (4:14.2.0~pre51-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 93bd0deb423cbbfee16a3b3ae3e07b4d7ae89cca
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:00:39 +0100
